// Code generated by goa v3.12.3, DO NOT EDIT.
//
// taskList client
//
// Command:
// $ goa gen gitlab.eclipse.org/eclipse/xfsc/tsa/task/design

package tasklist

import (
	"context"

	goa "goa.design/goa/v3/pkg"
)

// Client is the "taskList" service client.
type Client struct {
	CreateEndpoint         goa.Endpoint
	TaskListStatusEndpoint goa.Endpoint
}

// NewClient initializes a "taskList" service client given the endpoints.
func NewClient(create, taskListStatus goa.Endpoint) *Client {
	return &Client{
		CreateEndpoint:         create,
		TaskListStatusEndpoint: taskListStatus,
	}
}

// Create calls the "Create" endpoint of the "taskList" service.
func (c *Client) Create(ctx context.Context, p *CreateTaskListRequest) (res *CreateTaskListResult, err error) {
	var ires any
	ires, err = c.CreateEndpoint(ctx, p)
	if err != nil {
		return
	}
	return ires.(*CreateTaskListResult), nil
}

// TaskListStatus calls the "TaskListStatus" endpoint of the "taskList" service.
func (c *Client) TaskListStatus(ctx context.Context, p *TaskListStatusRequest) (res *TaskListStatusResponse, err error) {
	var ires any
	ires, err = c.TaskListStatusEndpoint(ctx, p)
	if err != nil {
		return
	}
	return ires.(*TaskListStatusResponse), nil
}
